import React from "react";
import { Link } from "@inertiajs/react";

const CopyPopup = ({ show, message, onClose, onConfirm, confirmLink,width }) => {
    if (!show) return null;

    return (
        <div className={`${width} popup w-[40%] absolute top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2`}>
            <div className="popup-inner bg-white p-3 shadow-2xl ">
                <p className="text-center">{message}</p>
                <div className="flex justify-between mt-4">
                    <Link href={confirmLink} className="btn btn-danger h-8 w-12">
                        Yes
                    </Link>
                    <button onClick={onClose} className="btn btn-secondary h-8 w-12">
                        No
                    </button>
                </div>
            </div>
        </div>
    );
};

export default CopyPopup;
